OSPFCLIENT(8)

NAME
ospfclient - an example ospf-api client

SYNOPSIS
ospfclient ospfd lsatype opaquetype opaqueid ifaddr areaid

DESCRIPTION
ospfclient is a an example ospf-api client to test the ospfd daemon.

OPTIONS

ospfd
    A router where the API-enabled OSPF daemon is running.

lsatype
    The value has to be either "9", "10", or "11", depending on the flooding scope.

opaquetype
    The value has to be in the range of 0-255 (for example, experimental applications use opaquetype larger than 128).

opaqueid
    Arbitrary application instance (24 bits).

ifaddr
    Interface IP address for type 9, otherwise it will be ignored.

areaid
    Area in the IP address format for type 10, otherwise it will be ignored.

SEE ALSO
ospfd(8).

AUTHORS
See the project homepage at <http://www.quagga.net/>.